pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator Class Referenceabstract

Helper class that creates a FLANN index from a given FLANN matrix. More...

`#include <pcl/search/flann_search.h>`

Inheritance diagram for pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator:

## Public Member Functions

virtual IndexPtr | createIndex (MatrixConstPtr data)=0
| Create a FLANN Index from the input data. More...
virtual | ~FlannIndexCreator ()
| destructor More...

## Detailed Description

### template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>
class pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator

Helper class that creates a FLANN index from a given FLANN matrix.

To use a FLANN index type with FlannSearch, implement this interface and pass an object of the new type to the FlannSearch constructor. See the implementation of KdTreeIndexCreator for an example.

Definition at line 131 of file flann_search.h.

## Constructor & Destructor Documentation

## ~FlannIndexCreator()

template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>

virtual pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator::~FlannIndexCreator | ( |  | ) |

inline virtual

destructor

Definition at line 142 of file flann_search.h.

## Member Function Documentation

## createIndex()

template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>

virtual IndexPtr pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator::createIndex | ( | MatrixConstPtr | data | ) |

pure virtual

Create a FLANN Index from the input data.

Parameters

  [in] | data | The FLANN matrix containing the input.

Returns
  The FLANN index.

Implemented in pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeIndexCreator, pcl::search::FlannSearch< PointT, FlannDistance >::KdTreeMultiIndexCreator, and pcl::search::FlannSearch< PointT, FlannDistance >::KMeansIndexCreator.

The documentation for this class was generated from the following file:

- pcl/search/flann_search.h